> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant Information

> Update Tenant Information



## OpenAPI

````yaml openapi/billing.yaml patch /v1/{tenantUUID}
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}:
    patch:
      tags:
        - Tenants
      summary: Update Tenant Information
      description: Update Tenant Information
      operationId: API-Pub-Tenants-Update
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/API.Pub.Requests.Tenants.UpdateRequest'
            example:
              title: string
              email: string
              business_since: string
              company_size: string
              address1: string
              address2: string
              city: string
              postcode: string
              state: string
              abuse_email: string
              vat_number: string
              industry_uuid: string
              options:
                - website: string
                  has_website: true
                  social_network:
                    - string
                  has_social_network: true
                  found_us: string
                  proprata: true
                  prorata_day: 0
      responses:
        '200':
          description: Tenant
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/API.Pub.Resources.Tenants.TenantResource'
              example:
                uuid: string
                email: string
                business_since: string
                company_size: string
                title: string
                status: string
                code: string
                options:
                  - key: string
                    value: {}
                meta:
                  - key: string
                    value: string
                credit:
                  amount: 0
                  auto_payment: true
                summary: string
                logo:
                  image: string
                payment_gateways:
                  - string
                flags:
                  - uuid: string
                    slug: string
                status_reason:
                  uuid: string
                  slug: string
                  title: string
                vat_number: string
                vat_validated_at: string
                vat_validation_status: valid
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Unprocessable Entity
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Requests.Tenants.UpdateRequest:
      required:
        - business_since
        - company_size
      type: object
      properties:
        title:
          type: string
        email:
          type: string
        business_since:
          type: string
        company_size:
          type: string
        address1:
          type: string
        address2:
          type: string
        city:
          type: string
        postcode:
          type: string
        state:
          type: string
        abuse_email:
          type: string
        vat_number:
          type: string
        industry_uuid:
          type: string
          format: uuid
        options:
          type: array
          items:
            type: object
            properties:
              website:
                type: string
              has_website:
                type: boolean
              social_network:
                type: array
                items:
                  type: string
              has_social_network:
                type: boolean
              found_us:
                type: string
              proprata:
                type: boolean
              prorata_day:
                type: integer
                description: Tenant Option Prorata Day
    API.Pub.Resources.Tenants.TenantResource:
      type: object
      properties:
        uuid:
          type: string
        email:
          type: string
        business_since:
          type: string
          nullable: true
        company_size:
          type: string
          nullable: true
        title:
          type: string
        status:
          type: string
        code:
          type: string
        options:
          type: array
          items:
            $ref: '#/components/schemas/API.Pub.Resources.Tenants.OptionResource'
        meta:
          type: array
          items:
            $ref: '#/components/schemas/API.Pub.Resources.Tenants.MetadataResource'
        credit:
          type: object
          properties:
            amount:
              type: number
              format: float
            auto_payment:
              type: boolean
        summary:
          type: string
        logo:
          $ref: '#/components/schemas/API.Pub.Resources.Tenants.TenantLogoResource'
        payment_gateways:
          type: array
          items:
            type: string
        flags:
          type: array
          items:
            $ref: '#/components/schemas/API.Pub.Resources.Tenants.TenantFlagResource'
        status_reason:
          $ref: '#/components/schemas/API.Pub.Resources.Tenants.StatusReasonResource'
        vat_number:
          type: string
        vat_validated_at:
          type: string
          nullable: true
        vat_validation_status:
          enum:
            - valid
            - invalid
            - failed
          type: string
          nullable: true
    API.Pub.Resources.Tenants.OptionResource:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
    API.Pub.Resources.Tenants.MetadataResource:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
    API.Pub.Resources.Tenants.TenantLogoResource:
      type: object
      properties:
        image:
          type: string
    API.Pub.Resources.Tenants.TenantFlagResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        slug:
          type: string
    API.Pub.Resources.Tenants.StatusReasonResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        slug:
          type: string
        title:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````